summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl Linden <karl.j.linden@gmail.com>2017-12-03 21:36:45 +0100
committerAlexis Ballier <aballier@gentoo.org>2017-12-04 10:29:52 +0100
commit1a3341015bb81d31c2a9a295e1e5766c226c1a1d (patch)
tree1621b1bc8f39839309ed0c3077f4d2ab9b5647a0 /media-sound
parentmedia-sound/jack2: fix compilation with GCC 7 (diff)
downloadgentoo-1a3341015bb81d31c2a9a295e1e5766c226c1a1d.tar.gz
gentoo-1a3341015bb81d31c2a9a295e1e5766c226c1a1d.tar.bz2
gentoo-1a3341015bb81d31c2a9a295e1e5766c226c1a1d.zip
media-sound/jack2: require any of classic and dbus
With no flags given the build system defaults to classic, but this addition to REQUIRED_USE will keep the installation in sync with the USE-flags. Bug: https://bugs.gentoo.org/605834 Package-Manager: Portage-2.3.16, Repoman-2.3.6
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/jack2/jack2-1.9.11_rc1-r1.ebuild4
-rw-r--r--media-sound/jack2/jack2-9999.ebuild4
2 files changed, 6 insertions, 2 deletions
diff --git a/media-sound/jack2/jack2-1.9.11_rc1-r1.ebuild b/media-sound/jack2/jack2-1.9.11_rc1-r1.ebuild
index 3b62bb738cc..de3d58d89ad 100644
--- a/media-sound/jack2/jack2-1.9.11_rc1-r1.ebuild
+++ b/media-sound/jack2/jack2-1.9.11_rc1-r1.ebuild
@@ -26,7 +26,9 @@ LICENSE="GPL-2"
SLOT="2"
IUSE="alsa celt dbus doc opus pam classic sndfile libsamplerate readline"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ || ( classic dbus )"
CDEPEND="media-libs/libsamplerate
media-libs/libsndfile
diff --git a/media-sound/jack2/jack2-9999.ebuild b/media-sound/jack2/jack2-9999.ebuild
index 0823bd254c5..2794517a02e 100644
--- a/media-sound/jack2/jack2-9999.ebuild
+++ b/media-sound/jack2/jack2-9999.ebuild
@@ -26,7 +26,9 @@ LICENSE="GPL-2"
SLOT="2"
IUSE="alsa celt dbus doc opus pam classic sndfile libsamplerate readline"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ || ( classic dbus )"
CDEPEND="media-libs/libsamplerate
media-libs/libsndfile